﻿@model ListKong.Models.InventoryModel
@using  System.Data;
@{
    ViewData["Title"] = "AddProject";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<script src="~/js/InventoryPage.js"></script>
<div class="content-wrapper" style="min-height: 500.8px;margin:0 !important;">
    <section class="content-header">
        <h1>
            Add Inventory
        </h1>
        <ol class="breadcrumb">
            <li><a asp-controller="Inventory" asp-action="Index"><i class="fa fa-dashboard"></i>Manage Inventory</a></li>
            <li class="active">Add Inventory</li>
        </ol>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="box box-info">
                    <div class="box-header with-border">
                        <h3 class="box-title">Add Inventory</h3>
                    </div>
                    <form asp-action="AddInventory" enctype="multipart/form-data" method="post">
                        <div class="box-body">
                            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                            @if (!string.IsNullOrEmpty(Convert.ToString(ViewData["ErrorMessage"])))
                            {
                                <div class="alert alert-danger">  @ViewData["ErrorMessage"]</div>
                                <script>
                                    $(function () {
                                        setTimeout(function () { hideTarget(); }, 5000);
                                    });
                                    function hideTarget() {
                                        $(".alert").hide();
                                    }
                                </script>
                            }
                            @if (!string.IsNullOrEmpty(Convert.ToString(ViewData["SuccessMessage"])))
                            {
                                <div class="alert alert-success">  @ViewData["SuccessMessage"]</div>
                                <script>
                                    $(function () {
                                        setTimeout(function () { hideTarget(); }, 5000);
                                    });
                                    function hideTarget() {
                                        $(".alert").hide();
                                    }
                                </script>
                            }
                        <div class="form-group">
                            <label asp-for="CompanyName" class="control-label"></label>
                            @if (User.IsInRole("Admin"))
                            {
                                <select asp-for="InvCompanyID" id="InvCompanyID" class="form-control ddlcompany">
                                    <option value="">-- Choose One --</option>
                                    @{
                                        DataTable dt;
                                        if (ViewData["CompanyByAdminUser"] != null)
                                        {
                                            dt = (DataTable)ViewData["CompanyByAdminUser"];

                                            for (int i = 0; i < dt.Rows.Count; i++)
                                            {
                                                <option value="@dt.Rows[i]["Id"]">@dt.Rows[i]["Name"]</option>
                                            }
                                        }
                                    }
                                </select>
                                <input asp-for="CompanyName" type="hidden" />
                            }
                            else
                            {
                                <input asp-for="CompanyName" class="form-control" readonly />
                                <input asp-for="InvCompanyID" type="hidden" />
                            }
                            <span asp-validation-for="CompanyName" class="text-danger"></span>

                        </div>
                        <div class="form-group">
                            <label asp-for="LocationName" class="control-label"></label>
                            <input asp-for="LocationName" class="form-control" readonly />
                            <input asp-for="InvLocationID" type="hidden" />
                            <span asp-validation-for="LocationName" class="text-danger"></span>
                        </div>
                            <div class="form-group">
                                <label asp-for="InvName" class="control-label"></label>
                                <input asp-for="InvName" class="form-control" />
                                <span asp-validation-for="InvName" class="text-danger"></span>
                            </div>

                            <div class="form-group">
                                <label asp-for="InvDesc" class="control-label"></label>
                                <textarea asp-for="InvDesc" class="form-control"></textarea>
                                <span asp-validation-for="InvDesc" class="text-danger"></span>
                            </div>
                            <div id="imagesDiv">
                                <input type="hidden" id="hdnImagesCount" value="1" />
                                <div class="form-group">
                                    <label class="control-label"> Inventory Pic 1</label>
                                    <div class="row" style="margin-left:0px;">
                                        <input type="file" required class="form-control" name="InventoryImages[0].InventoryImage" id="1" style="width:50%;" />
                                        <input type="button" class="btn btn-dark clsAddmore" value="Add More" style="width: 10%; margin-left: 20px;" />
                                    </div>
                                </div>
                            </div>
                            <div class="box-footer">
                                <div class="checkbox icheck">
                                    <label>
                                        <input type="submit" value="Add Inventory" class="btn btn-primary" />
                                    </label>
                                </div>
                                <a style="text-align:right" asp-controller="Inventory" asp-action="Index"><i class="os-icon os-icon-signs-11"></i><span>Back to List</span></a>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>
</div>

